package com.ruoyi.system.service;


import com.ruoyi.system.domain.ApproveUser;

import java.util.List;

/**
 * 审批用户 业务层
 * 
 * @author ruoyi
 */
public interface IApproveUserService
{
    /**
     * 根据条件分页查询用户列表
     * 
     * @param user 用户信息
     * @return 用户信息集合信息
     */
    public List<ApproveUser> selectApproveUserList(ApproveUser user);

    /**
     * 新增用户信息
     * 
     * @param user 用户信息
     * @return 结果
     */
    public int insertApproveUsers(List<ApproveUser> user);



    /**
     * 修改用户信息
     * 
     * @param user 用户信息
     * @return 结果
     */
    public int updateApproveUsers(List<ApproveUser> user);
    List<Long> findApproveUser();
    List<Long> findApproveUserByDeptId(Long deptId);
    void deleteApproveUserByUserId(Long userId);
    void deleteApproveUserByDeptId(Long deptId);
    void deleteApproveUser();

}
